Bug 247564 - firewall/IPtables changes are not applied
firewall/IPtables changes are not applied
Status: CLOSED DUPLICATE of bug 247544
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-09 20:24 EDT by John Whitlock
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-31 06:15:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Whitlock 2007-07-09 20:24:24 EDT
Description of problem:

Changes applied to firewall settings, such as adding ports, through system-
config-securitylevel are ignored.  In a possibly related issue, similar changes 
made directly to iptables, although accepted in the table at the time, are 
removed on reboot. 

Only happens with Fed 7, no issues with Fed 6 or Fed 5.

I note a related bug has been registered where trying to enable/disable the 
firewall through this tool fails.

Version-Release number of selected component (if applicable):
Fedor 7. 2.6.21-1.3228.fc7

system-config-securitylevel 1.7.0

How reproducible:
each time, on both Fedora 7 systems I have running. One system under VMware 
server 1.0.3, one system on a Pentium based server platform.  
Steps to Reproduce:
1. open system-config-securitylevel (note the extended start up time)
2. add a port, apply or ok the change, close tool.
3. re-open, note that change has not applied.
4. do iptables -L, note the change is not listed
5. add the port through iptables, eg:
iptables -A <chain> -p tcp --dport <some port> -j ACCEPT
6. do iptables -L, note that change is listed. 
7. reboot, do iptables -L, note that any changes have been removed. 

Actual results:
As described above.  Even when the change is listed in the table the system 
will not allow access through the sepcified port.

Expected results:

Port change is accepted and enabled.

Additional info:
Comment 1 David Brown 2007-07-14 21:17:40 EDT
This is the same as bug 247544.
Comment 2 John Whitlock 2007-07-15 18:35:00 EDT
Agreed. Missed that one.
Comment 3 Thomas Woerner 2007-07-31 06:15:28 EDT

*** This bug has been marked as a duplicate of 247544 ***

Note You need to log in before you can comment on or make changes to this bug.